Bug 283571 - Review Request: homebank - Free easy personal accounting for all
Review Request: homebank - Free easy personal accounting for all
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-08 09:50 EDT by Johan Cwiklinski
Modified: 2011-05-13 22:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 00:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Johan Cwiklinski 2007-09-08 09:50:32 EDT
Spec URL: http://odysseus.x-tnd.be/fedora/homebank/homebank.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/homebank/homebank-3.5-1.fc7.src.rpm
Description: 
HomeBank is the free software you have always wanted to manage your personal
accounts at home. The main concept is to be light, simple and very easy to use.
It brings you many features that allows you to analyze your finances in a
detailed way instantly and dynamically with powerful report tools based on
filtering and graphical charts.
Comment 1 Till Maas 2007-09-09 14:51:11 EDT
Using Categories the Application and X-Fedora in the .desktop is deprecated
according to:
https://bugzilla.redhat.com/show_bug.cgi?id=278481#c5


Here is also a German entry for the .desktop file:
Comment[de]=Persönliche Finanzverwaltung


You should use --dir ${RPM_BUILD_ROOT}%{_datadir}/applications in the
desktop-file-install invocation, i.e. use either ${RPM_BUILD_ROOT} or
%{buildroot} in you spec.

use
--vendor="fedora" instead of "%{_vendor}", on my local F7 machine %{_vendor}
expands to redhat, not fedora.


The install invocations for source1 and 2 should be done with "-p" to preserve
timestamps.


You need to add GTK icon cache scriptlets, see:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
And also the mime cache scriptlets, see (on the same page):
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-5f93ed83c968bb73b052c06ba0d7139e28f35d93


I guess this will lead to a orphaned directory:
%{_datadir}/%{name}/*
Better use
%{_datadir}/%{name}/
to include the directory itself.


This is good: :-)
Tarball is identical with upstream:
$ md5sum homebank-3.5.tar.gz*
4120d19081f3f67f3723cca8f847278b  homebank-3.5.tar.gz
4120d19081f3f67f3723cca8f847278b  homebank-3.5.tar.gz.orig
Comment 2 Till Maas 2007-09-09 15:22:44 EDT
License is GPLv2+ (GPL version 2 or later) according to source code header and
help within the program.
Comment 3 Johan Cwiklinski 2007-09-10 13:28:59 EDT
Thanks :)
Changes have been made. New RULs are :
Spec URL: http://odysseus.x-tnd.be/fedora/homebank/homebank.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/homebank/homebank-3.5-2.fc7.src.rpm

Comment 4 Johan Cwiklinski 2007-09-10 13:32:43 EDT
Ooops, I forgot to include the German comment in the desktop file :/

I'll do this and rebuild as soon as possible, sorry :)
Comment 5 Johan Cwiklinski 2007-09-10 13:38:42 EDT
Hum... I did'nt pay attention, but there already is a comment for german
language in the upstream package : 
"Comment[de]=Freie, einfache, persönliche Buchhaltung für alle."

I don't know why its not present in the installed files, i'll investigate :)
Comment 6 Xavier Lamien 2007-09-10 15:12:10 EDT
Some comments 'bout release *-3.5-2:

# Desktop file

Category "Application" is still present and must be remove.
Use "--remove-category" flag to do so.

MimeType is missing from desktop entry.
this sourcetarball is shipped with an desktop file, why add anorher one ?
It's more appropriate to fix upstream shipped files which's present instead of
add another one if necessary.

# Timstamps

timestamps should be set/kept on all installed images,icons and docs files and
currently they aren't.
Use "INSTALL='install -p'" flag with "make install" to do so.

# Requires

Require pango is redundant.
Already set by rpmbuild.

# desktop file icon.

Also shipped with this source, why add another one ?

# Documentations

About _datadir/%{name}/help ... seem to be a bit large as doc.
I don't think it's mandatory that it be split into a -doc subpackage,
But you should think about this.
Also, this directory should be marked as doc (including doc/TODO file)
Comment 7 Johan Cwiklinski 2007-09-11 00:47:38 EDT
Thanks for your comments.

I've removed .desktop file and icon file (was for an old version...)
I've also splitted doc into a subpackage...

New version URLs are :
Spec URL: http://odysseus.x-tnd.be/fedora/homebank/homebank.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/homebank/homebank-3.5-3.fc7.src.rpm

Comment 8 Xavier Lamien 2007-09-11 09:22:10 EDT
# -doc subpackage:

Requires should entail %{release}
Requires:   %{name} = %{version}-%{release} instead.

Comment 9 Johan Cwiklinski 2007-09-11 14:04:30 EDT
Ok, fixed.

New URLs are : 
Spec URL: http://odysseus.x-tnd.be/fedora/homebank/homebank.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/homebank/homebank-3.5-4.fc7.src.rpm
Comment 10 Mamoru TASAKA 2007-09-16 01:32:11 EDT
Well, currently no one is reviewing?

For 3.5-4:
* Redundand BuildRequires
  - "pango-devel" is required by "gtk2-devel", so
    "BuildRequires: pango-devel" is not needed.

* Possibly missing BuildRequires
  - From:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=159663
    build log says
--------------------------------------------------------
checking libofx/libofx.h usability... no
checking libofx/libofx.h presence... no
checking for libofx/libofx.h... no
Libofx header missing. Check your libofx installation
checking for ANSI C header files... (cached) yes
---------------------------------------------------------
    At least "libofx-devel" is missing from BuildRequires.

* Macros
  - Use macros. /usr/bin should be %{_bindir}.

* Scriptlets
  (Please refer to :
   http://fedoraproject.org/wiki/Packaging/ScriptletSnippets )
  - The desktop file contains MimeType info and 
    update-desktop-database must be called.
Comment 11 Johan Cwiklinski 2007-09-16 02:23:25 EDT
Thanks for your comments :) 

I've corrected these few things, new URLs are :
Spec URL: http://odysseus.x-tnd.be/fedora/homebank/homebank.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/homebank/homebank-3.5-5.fc7.src.rpm
Comment 12 Mamoru TASAKA 2007-09-16 03:13:07 EDT
Okay.

-----------------------------------------------------------------
    This package (homebank) is APPROVED by me
-----------------------------------------------------------------
Comment 13 Johan Cwiklinski 2007-09-16 03:20:10 EDT
New Package CVS Request
=======================
Package Name: homebank
Short Description: Free easy personal accounting for all
Owners: johan@x-tnd.be
Branches: FC-6 F-7
InitialCC: johan@x-tnd.be
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2007-09-16 17:18:40 EDT
Please use your fedora account system name instead of email moving forward...

cvs done.
Comment 15 Filipe Rosset 2011-05-13 22:37:51 EDT
Package Change Request
======================
Package Name: homebank
New Branches: el5 el6
Owners: filiperosset

Note You need to log in before you can comment on or make changes to this bug.